=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-03-20 18:52:05 +0000
+++ drizzled/Makefile.am	2009-03-22 08:32:24 +0000
@@ -270,16 +270,16 @@
 		order.h \
 		parser.h \
 		plugin.h \
-		plugin_authentication.h \
-		plugin_configvar.h \
-		plugin_errmsg.h \
-		plugin_logging.h \
-		plugin_parser.h \
-		plugin_qcache.h \
 		plugin_registry.h \
 		plugin_registry_impl.h \
-		plugin_replicator.h \
-		plugin_scheduling.h \
+		plugin/authentication.h \
+		plugin/configvar.h \
+		plugin/error_message_handler.h \
+		plugin/logging_handler.h \
+		plugin/parser.h \
+		plugin/qcache.h \
+		plugin/replicator.h \
+		plugin/scheduler.h \
 		probes.h \
 		protocol.h \
 		qcache.h \

=== modified file 'drizzled/authentication.h'
--- drizzled/authentication.h	2008-10-20 04:28:21 +0000
+++ drizzled/authentication.h	2009-03-22 08:32:24 +0000
@@ -22,7 +22,7 @@
 #ifndef DRIZZLED_AUTHENTICATION_H
 #define DRIZZLED_AUTHENTICATION_H
 
-#include <drizzled/plugin_authentication.h>
+#include <drizzled/plugin/authentication.h>
 
 bool authenticate_user(Session *session, const char *password);
 int authentication_initializer(st_plugin_int *plugin);

=== modified file 'drizzled/configvar.h'
--- drizzled/configvar.h	2008-10-20 04:28:21 +0000
+++ drizzled/configvar.h	2009-03-22 08:32:24 +0000
@@ -20,7 +20,7 @@
 #ifndef DRIZZLED_CONFIGVAR_H
 #define DRIZZLED_CONFIGVAR_H
 
-#include <drizzled/plugin_configvar.h>
+#include <drizzled/plugin/configvar.h>
 
 int configvar_initializer (st_plugin_int *plugin);
 int configvar_finalizer (st_plugin_int *plugin);

=== modified file 'drizzled/errmsg.h'
--- drizzled/errmsg.h	2009-01-05 04:37:22 +0000
+++ drizzled/errmsg.h	2009-03-22 08:32:24 +0000
@@ -20,7 +20,7 @@
 #ifndef DRIZZLED_ERRMSG_H
 #define DRIZZLED_ERRMSG_H
 
-#include <drizzled/plugin_errmsg.h>
+#include <drizzled/plugin/error_message_handler.h>
 
 // need stdarg for va_list
 #include <stdarg.h>

=== modified file 'drizzled/logging.h'
--- drizzled/logging.h	2008-10-20 04:28:21 +0000
+++ drizzled/logging.h	2009-03-22 08:32:24 +0000
@@ -20,7 +20,7 @@
 #ifndef DRIZZLED_LOGGING_H
 #define DRIZZLED_LOGGING_H
 
-#include <drizzled/plugin_logging.h>
+#include <drizzled/plugin/logging_handler.h>
 
 int logging_initializer(st_plugin_int *plugin);
 int logging_finalizer(st_plugin_int *plugin);

=== modified file 'drizzled/parser.h'
--- drizzled/parser.h	2008-10-22 00:30:56 +0000
+++ drizzled/parser.h	2009-03-22 08:32:24 +0000
@@ -20,7 +20,7 @@
 #ifndef DRIZZLED_PARSER_H
 #define DRIZZLED_PARSER_H
 
-#include <drizzled/plugin_parser.h>
+#include <drizzled/plugin/parser.h>
 
 int parser_initializer (st_plugin_int *plugin);
 int parser_finalizer (st_plugin_int *plugin);

=== added directory 'drizzled/plugin'
=== renamed file 'drizzled/plugin_authentication.h' => 'drizzled/plugin/authentication.h'
=== renamed file 'drizzled/plugin_configvar.h' => 'drizzled/plugin/configvar.h'
=== renamed file 'drizzled/plugin_errmsg.h' => 'drizzled/plugin/error_message_handler.h'
=== renamed file 'drizzled/plugin_logging.h' => 'drizzled/plugin/logging_handler.h'
=== renamed file 'drizzled/plugin_parser.h' => 'drizzled/plugin/parser.h'
=== renamed file 'drizzled/plugin_qcache.h' => 'drizzled/plugin/qcache.h'
=== renamed file 'drizzled/plugin_replicator.h' => 'drizzled/plugin/replicator.h'
=== renamed file 'drizzled/plugin_scheduling.h' => 'drizzled/plugin/scheduler.h'
=== modified file 'drizzled/qcache.h'
--- drizzled/qcache.h	2009-01-08 09:56:25 +0000
+++ drizzled/qcache.h	2009-03-22 08:32:24 +0000
@@ -20,7 +20,7 @@
 #ifndef DRIZZLED_QCACHE_H
 #define DRIZZLED_QCACHE_H
 
-#include <drizzled/plugin_qcache.h>
+#include <drizzled/plugin/qcache.h>
 
 int qcache_initializer (st_plugin_int *plugin);
 int qcache_finalizer (st_plugin_int *plugin);

=== modified file 'drizzled/replicator.h'
--- drizzled/replicator.h	2008-12-08 10:42:44 +0000
+++ drizzled/replicator.h	2009-03-22 08:32:24 +0000
@@ -20,7 +20,7 @@
 #ifndef DRIZZLED_REPLICATOR_H
 #define DRIZZLED_REPLICATOR_H
 
-#include <drizzled/plugin_replicator.h>
+#include <drizzled/plugin/replicator.h>
 
 int replicator_initializer (st_plugin_int *plugin);
 int replicator_finalizer (st_plugin_int *plugin);

=== modified file 'drizzled/scheduling.cc'
--- drizzled/scheduling.cc	2009-03-21 19:04:05 +0000
+++ drizzled/scheduling.cc	2009-03-22 08:32:24 +0000
@@ -20,7 +20,6 @@
 #include <drizzled/server_includes.h>
 #include <drizzled/scheduling.h>
 #include <drizzled/gettext.h>
-#include <drizzled/plugin_scheduling.h>
 #include <drizzled/connect.h>
 
 Scheduler *thread_scheduler= NULL;

=== modified file 'drizzled/scheduling.h'
--- drizzled/scheduling.h	2009-03-21 19:04:05 +0000
+++ drizzled/scheduling.h	2009-03-22 08:32:24 +0000
@@ -20,7 +20,7 @@
 #ifndef DRIZZLED_SCHEDULING_H
 #define DRIZZLED_SCHEDULING_H
 
-#include <drizzled/plugin_scheduling.h>
+#include <drizzled/plugin/scheduler.h>
 
 int scheduling_initializer (st_plugin_int *plugin);
 int scheduling_finalizer (st_plugin_int *plugin);

=== modified file 'plugin/auth_pam/auth_pam.cc'
--- plugin/auth_pam/auth_pam.cc	2009-03-20 05:16:44 +0000
+++ plugin/auth_pam/auth_pam.cc	2009-03-22 08:32:24 +0000
@@ -6,7 +6,7 @@
 
 #include <drizzled/server_includes.h>
 #include <drizzled/session.h>
-#include <drizzled/plugin_authentication.h>
+#include <drizzled/plugin/authentication.h>
 #include <security/pam_appl.h>
 #ifndef __sun
 #include <security/pam_misc.h>

=== modified file 'plugin/errmsg_stderr/errmsg_stderr.cc'
--- plugin/errmsg_stderr/errmsg_stderr.cc	2009-03-20 05:20:30 +0000
+++ plugin/errmsg_stderr/errmsg_stderr.cc	2009-03-22 08:32:24 +0000
@@ -18,7 +18,7 @@
  */
 
 #include <drizzled/server_includes.h>
-#include <drizzled/plugin_errmsg.h>
+#include <drizzled/plugin/error_message_handler.h>
 #include <drizzled/gettext.h>
 
 #include <stdio.h>  /* for vsnprintf */

=== modified file 'plugin/logging_query/logging_query.cc'
--- plugin/logging_query/logging_query.cc	2009-03-20 23:26:09 +0000
+++ plugin/logging_query/logging_query.cc	2009-03-22 08:32:24 +0000
@@ -18,7 +18,7 @@
  */
 
 #include <drizzled/server_includes.h>
-#include <drizzled/plugin_logging.h>
+#include <drizzled/plugin/logging_handler.h>
 #include <drizzled/gettext.h>
 #include <drizzled/session.h>
 

=== modified file 'plugin/logging_syslog/logging_syslog.cc'
--- plugin/logging_syslog/logging_syslog.cc	2009-03-20 23:26:09 +0000
+++ plugin/logging_syslog/logging_syslog.cc	2009-03-22 08:32:24 +0000
@@ -18,7 +18,7 @@
  */
 
 #include <drizzled/server_includes.h>
-#include <drizzled/plugin_logging.h>
+#include <drizzled/plugin/logging_handler.h>
 #include <drizzled/gettext.h>
 #include <drizzled/session.h>
 

=== modified file 'plugin/multi_thread/multi_thread.cc'
--- plugin/multi_thread/multi_thread.cc	2009-03-21 19:02:58 +0000
+++ plugin/multi_thread/multi_thread.cc	2009-03-22 08:32:24 +0000
@@ -17,7 +17,7 @@
 #include <drizzled/atomics.h>
 #include <drizzled/gettext.h>
 #include <drizzled/error.h>
-#include <drizzled/plugin_scheduling.h>
+#include <drizzled/plugin/scheduler.h>
 #include <drizzled/connect.h>
 #include <drizzled/sql_parse.h>
 #include <drizzled/session.h>

=== modified file 'plugin/pool_of_threads/pool_of_threads.cc'
--- plugin/pool_of_threads/pool_of_threads.cc	2009-03-21 19:11:38 +0000
+++ plugin/pool_of_threads/pool_of_threads.cc	2009-03-22 08:32:24 +0000
@@ -16,7 +16,7 @@
 #include <drizzled/server_includes.h>
 #include <drizzled/gettext.h>
 #include <drizzled/error.h>
-#include <drizzled/plugin_scheduling.h>
+#include <drizzled/plugin/scheduler.h>
 #include <drizzled/serialize/serialize.h>
 #include <drizzled/connect.h>
 #include <drizzled/sql_parse.h>

=== modified file 'plugin/protobuf_replicator/protobuf_replicator.cc'
--- plugin/protobuf_replicator/protobuf_replicator.cc	2009-03-22 00:34:54 +0000
+++ plugin/protobuf_replicator/protobuf_replicator.cc	2009-03-22 08:32:24 +0000
@@ -17,7 +17,7 @@
 #include <drizzled/gettext.h>
 #include <drizzled/session.h>
 #include <drizzled/error.h>
-#include <drizzled/plugin_replicator.h>
+#include <drizzled/plugin/replicator.h>
 #include <drizzled/serialize/serialize.h>
 
 #include <iostream>

=== modified file 'plugin/single_thread/single_thread.cc'
--- plugin/single_thread/single_thread.cc	2009-03-21 18:46:23 +0000
+++ plugin/single_thread/single_thread.cc	2009-03-22 08:32:24 +0000
@@ -16,7 +16,7 @@
 #include <drizzled/server_includes.h>
 #include <drizzled/gettext.h>
 #include <drizzled/error.h>
-#include <drizzled/plugin_scheduling.h>
+#include <drizzled/plugin/scheduler.h>
 #include <drizzled/serialize/serialize.h>
 #include <drizzled/connect.h>
 #include <drizzled/sql_parse.h>

